Subject: Re: [PATCH 20/20] bootwrapper: Add fsl_get_immr(), mpc885_get_clock(), and pq2_get_clocks().

From: Scott Wood <[email-masked]>
Date: Tue, 21 Aug 2007 11:34:45 -0500

David Gibson wrote:
> On Mon, Aug 20, 2007 at 12:40:13PM -0500, Scott Wood wrote:
> 
>>fsl_get_immr() is equivalent to the kernel's get_immrbase() function.
> 
> I notice that this function assumes that P==V.  Is that true for all
> relevant platforms at this point?

Yes.  If that ever changes, we'd probably need to add a virtual-immr or 
similar.

>>mpc885_get_clock() transforms a crystal frequency into a system frequency
>>according to the PLL register settings.
>>
>>pq2_get_clocks() does the same as the above for the PowerQUICC II,
>>except that it produces several different clocks.
> 
> I'd prefer if these functions worked analagously to the
> ibm440gp_fixup_clocks() function in ebony.c and fixed up the clock
> values in the device tree directly, rather than returning them (where
> the caller will presumably poke them into the device tree).

I wanted to separate the register interpretation from the knowledge of 
where things are in the device tree.

-Scott